form {
    width:min(500px, 100%);
    margin-inline:auto;
    margin-block:5vw;
    float:left;
    background-color:var(--bgblue);
    padding:2rem;
    border-radius:0.25rem;
    box-shadow: 5px 0 5em var(--darkblue);
}

.end a {
    margin:0 0.5rem 0.5rem 0;
}

main {
    display:grid;
    align-content: center;
}

@media screen and (max-width:500px){
    form {
        padding:1.5rem;
        margin-block:10vw;
    }
}